WordPress的PHP版本问题和主机文件夹权限问题

网站一直以来出了几个问题

第一个问题,就是在文章写时,写作栏的顶部总是出现一串错误代码,类似于  function…user …error…on line ……的错误。虽然不影响使用,但一直有些难受。

第二个问题,就是网站的 WP QuickLatex 插件用不了了,一启用插件就会提示“unexpected T_FUNCTION”错误,这种错误也是无法找出具体原因的那种。其实并不一定是网站的程序和代码出错了。

于是,解决办法如下:

在WordPress网站看到它支持的 PHP 版本为PHP 5.2.4或更新版本,我以前可能用成了 PHP 7.0,于是将网站的 PHP 版本更换为了PHP 5.4,最新版的 PHP 不一定最稳定。这样做之后,第一个问题解决了。

然后,用WinSCP登录FTP,将wp-content中的plugins目录及目录内的文件夹权限进行更改,改为7777,然后删除WP QuickLatex 插件,再重新安装、启用,最后成功了。第二个问题解决了。

庆贺一下!

插入一个Latex满足一下。

    \[ ds^2=-f(r) d t^2+\frac{1}{f(r)} d r^2 + r^2 d\theta+r^2 sin^2 \theta d \phi \]


原创文章,转载请注明: 转载自TAHO

本文链接地址: 《WordPress的PHP版本问题和主机文件夹权限问题》:http://taho.cc/16577

相关文章

发表评论

电子邮件地址不会被公开。 必填项已用*标注